> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Meta agent tool call insights

> Per tool: how many conversations called it, how fast it answered and how often it failed.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/tool-calls
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/tool-calls:
    get:
      tags:
        - WhatsApp Meta agent
      summary: Get Meta agent tool call insights
      description: >-
        Per tool: how many conversations called it, how fast it answered and how
        often it failed.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the WhatsApp phone number the Meta agent runs on
          name: phone_number_id
          in: path
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
            example: '2026-09-01'
            description: First day, in the business time zone. Up to 30 days back.
          required: true
          description: First day, in the business time zone. Up to 30 days back.
          name: start_date
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
            example: '2026-09-01'
          required: true
          name: end_date
          in: query
        - schema:
            type: string
            maxLength: 256
          required: false
          name: tool_name
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppMetaAgentToolCallInsightsSchema'
components:
  schemas:
    WhatsAppMetaAgentToolCallInsightsSchema:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              tool_name:
                type: string
              thread_count:
                type: number
              avg_latency_ms:
                type: number
              success_rate:
                type: number
              error_rate:
                type: number
              timeout_rate:
                type: number
            required:
              - tool_name
              - thread_count
      required:
        - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````